<script setup lang="ts">
import { type Product } from '@/Product/types/Product'
import ProductCard from './ProductCard.vue'
import { provide, ref } from 'vue'
import { useProductStore } from '@/Product/stores/product'

const productStore = useProductStore()
// const props = defineProps<{
//   products: Product[]
// }>()

function selected(p: Product) {
  emit('selected', p)
}

defineProps<{
  products: Product[]
}>()

const emit = defineEmits<{
  selected: [product: Product]
}>()
</script>
<template>
  <div style="height: 550px; overflow-y: auto; overflow-x: hidden">
    <v-container>
      <v-row>
        <v-col cols="12" xl="3" md="4" sm="4" xs="6" v-if="productStore.currentProduct?.name">
          <ProductCard :product="productStore.currentProduct"></ProductCard>
        </v-col>
        <v-col cols="12" xl="3" md="4" sm="4" xs="6" v-else v-for="item of products" :key="item.id">
          <ProductCard :product="item"></ProductCard>
        </v-col>
      </v-row>
    </v-container>
  </div>

  <div style="height: 550px; overflow-y: auto; overflow-x: hidden">
    <!-- <v-container fluid>
    <v-row>
      <v-col cols="12" xl="3" md="4" sm="4" xs="6" v-for="product of products" :key="product.id">
        <ProductCard :product="product" @selected="selected"></ProductCard>
      </v-col>
    </v-row>
  </v-container> -->
  </div>
</template>
